"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.error = exports.warn = exports.em = exports.log = exports.debug = exports.getCWD = exports.setCWD = exports.setDebug = void 0;
const chalk_1 = __importDefault(require("chalk"));
const path_1 = __importDefault(require("path"));
let debugFlag = false;
const setDebug = (_debug) => debugFlag = _debug;
exports.setDebug = setDebug;
let cwd = process.cwd();
const setCWD = (_cwd) => cwd = path_1.default.resolve(process.cwd(), _cwd);
exports.setCWD = setCWD;
const getCWD = () => cwd;
exports.getCWD = getCWD;
const debug = (...args) => debugFlag && console.log(chalk_1.default.cyan(args));
exports.debug = debug;
const log = (...args) => console.log(chalk_1.default.white(args));
exports.log = log;
const em = (...args) => console.log(chalk_1.default.greenBright(args));
exports.em = em;
const warn = (...args) => console.log(chalk_1.default.yellow(args));
exports.warn = warn;
const error = (...args) => console.log(chalk_1.default.redBright(args));
exports.error = error;
