export declare type LIGOVersion = string;
export declare const MINIMUM_LIGO_VERSION = "0.24.0";
export declare const DEFAULT_LIGO_VERSION = "0.38.1";
export declare enum LIGOFlavors {
    PascaLIGO = "pascaligo",
    CameLIGO = "cameligo",
    ReasonLIGO = "reasonligo",
    JsLIGO = "jsligo"
}
export declare type LigoCompilerOptions = {
    ligoVersion: LIGOVersion;
    contract?: string;
};
export declare type BuildData = {
    contractName: string;
    sourcePath: string;
    hash: string;
    updatedAt: string;
    compiler: {
        name: "ligo";
        version: LIGOVersion;
    };
    michelson: string;
};
