export declare const makePackageJSON: (name: string, packageVersion: string) => {
    name: string;
    version: string;
    description: string;
    dependencies: {
        "create-tezos-smart-contract": string;
        "@taquito/signer": string;
        "@taquito/taquito": string;
        jest: string;
    };
    scripts: {
        start: string;
        compile: string;
        "start-sandbox": string;
        "e2e-test": string;
        test: string;
        deploy: string;
        postinstall: string;
    };
    keywords: string[];
};
