import { TezosProtocols } from "../tezos";
export declare type FlextesaTezosProtocol = {
    hash: string;
    prefix: string;
    kind: string;
};
export declare type FlextesaTezosProtocols = {
    [x in TezosProtocols]: FlextesaTezosProtocol;
};
export declare type FlextesaAccounts = {
    [accountName: string]: {
        pkh: string;
        sk: string;
        pk: string;
    };
};
export declare type FlextesaOptions = {
    host: string;
    port: number;
    protocol: TezosProtocols;
    genesisBlockHash: string;
    accounts?: FlextesaAccounts;
};
